Project

General

Profile

Feature #1619

Mercurial needs to transition to python2.6

Added by Bayard Bell over 8 years ago. Updated about 8 years ago.

Status:
Resolved
Priority:
Normal
Assignee:
Category:
OI-Userland
Target version:
Start date:
2011-10-10
Due date:
% Done:

100%

Estimated time:
2.00 h
Difficulty:
Medium
Tags:
needs-triage

Description

Mercurial 1.3.1 uses python2.4 and provides libraries only for that version. onbld uses the mercurial API and thus has to use python24. To aid transition to python2.6, mercurial 1.3.1 will be updated to use a 2.6 interpreter while continuing to provide 2.4 libraries, allowing onbld (more specifically, hg-active) to make the same transition shortly thereafter.

History

#1

Updated by Jon Tibble about 8 years ago

  • Status changed from In Progress to Resolved
  • % Done changed from 50 to 100

Integrated into prestable0

Also available in: Atom PDF